Subject: Re: [bug#70766] Request to merge "gnome-team" branch

From: Christopher Baines <[email-masked]>
Date: Tue, 04 Jun 2024 21:45:45 +0100

Christopher Baines <[email-masked]> writes:

> Liliana Marie Prikler <[email-masked]> writes:
>
>> Am Freitag, dem 24.05.2024 um 15:14 +0100 schrieb Christopher Baines:
>>> Liliana Marie Prikler <[email-masked]> writes:
>>> 
>>> > Am Freitag, dem 17.05.2024 um 09:11 +0100 schrieb Christopher
>>> > Baines:
>>> > > gtk is failing to build on aarch64-linux which is blocking lots
>>> > > of packages, and the failure looks familiar but I haven't made
>>> > > any progress looking at it.
>>> > 
>>> > That looks like trouble.  I've fixed up some breaking builds on
>>> > x86, but I think we might have to block the merge for now if aarch
>>> > can't be fixed.
>>> 
>>> I've now pushed 36e49999227e4f621c211ed5f1a506a3046052df to gnome-
>>> team which I hope will fix gtk where it's broken.
>>
>> QA looks good[1].
>
> Things had flipped to unknown rather than blocked, but I think there
> were still some blocked builds, but mostly due to a flaky
> python-scikit-image test.
>
> I've now pushed a fix for that to master [1] and rebased
> gnome-team. I've also squashed my gtk change in to the gtk update
> commit.
>
> 2: https://issues.guix.gnu.org/70997
>
>> How do we proceed with the merge?  Just `git merge`?  Or should we
>> rebase on gnome-team and then merge?
>
> Now that I've rebased the branch, it'll take a little while for QA to
> check things again, but I don't know of any problems.
>
> To merge it to master, you can either just merge, or rebase and merge
> (so that it's a fast forward rebase).

I've just looked at QA again and the numbers look really good, is
gnome-team now ready to push to master?